# TootBot Spicy Edition

A small python 3.x script to replicate tweets and posts from soup.io on a mastodon account.

The script only need mastodon login/pass to post toots.

For Twitter, it gets the tweets from RSS available at http://twitrss.me, then does some cleanup on the content:
- twitter tracking links (t.co) are dereferenced
- twitter hosted pictures are retrieved and uploaded to mastodon

For Soup, it uses the official RSS feed (e.g. https://metalab.soup.io/rss), then does some cleanup on the content:
- checks if source is twitter and checks for duplicates
- removes html stuff
- looks for one picture in source link or in soup post and uploads it to mastodon
- adds source url (if no source is specified, soup post is source url)


A sqlite database is used to keep track of items than have been tooted.


this script is based on TootBot: https://github.com/cquest/tootbot

The script is simply called by a cron job and can run on any server (does not have to be on the mastodon instance server).
